Page MenuHomePhabricator

Non-visual updates to Places search
Closed, ResolvedPublic

Description

Based on feedback from UserTesting, the following are some non-visual updates to Places search:

Filtered search

  • Filtered searches should appear second on the list of search results, proceeding the closest location match
  • If a user taps on the blue 'Search' button on the keyboard before search results are returned, wait to complete submission until results are loaded and then submit the top location match (not the filter search)
  • Update filter search title to: "Articles in this area that match “[search string]”"

Clearing a search

  • When a user taps on the grey (x) within the search box this should clear the text from the search box. Closing the search screen with an empty search box should return to the default search (Top articles) and not retain their previous string from before clearing their search.

Event Timeline

cmadeo created this task.Mar 16 2017, 9:30 PM
cmadeo removed cmadeo as the assignee of this task.EditedMar 16 2017, 10:32 PM

I un-assigned this to me, but @AMroczkowski let me know if you need visual designs or a detailed design doc for this ticket and I'll re-assign myself.

JoeWalsh added a comment.EditedMar 22 2017, 1:39 PM

@cmadeo ^ there's a string length issue with "Articles in this area that match..." - Would "Articles that match..." be too vague?

"Articles matching _____"

I like "Articles matching"

Or we could put the filter search in Italics? Just something to have it stand out from the other options.

Actually scratch above, @RHo pointed out that italics won't work for most non-Roman alphabets.

JMinor closed this task as Resolved.May 23 2017, 9:05 PM